package w83b.w83bOperacionesPaso.w83bCertificaciones;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import w83b.w83bBeans.W83bCertificacionesBean;



import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bBuscarCertificacionOP extends Q70ActionPasoOP {

	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		W83bCertificacionesBean certificacionesBean = (W83bCertificacionesBean)contexto.get("w83bCertificacionesBean");
		certificacionesBean.setFechaEleccionHasta(request.getParameter("fechaEleccionHasta"));
		certificacionesBean.setFechaEleccionDesde(request.getParameter("fechaEleccionDesde"));
		certificacionesBean.setFechaRegistroDefinitivo(request.getParameter("fechaRegistroDefinitivo"));
		certificacionesBean.setFechaSolicitud(request.getParameter("fechaSolicitud"));
		certificacionesBean.setFechaResultado(request.getParameter("fechaResultado"));
		certificacionesBean.setCargo(request.getParameter("cargo"));
		certificacionesBean.setDecreto(request.getParameter("decreto"));
		certificacionesBean.setSindicato(request.getParameter("sindicato"));
		certificacionesBean.setCertificacion(request.getParameter("certificacion"));
		certificacionesBean.setDescripcionSindicato(request.getParameter("desSindicato"));
		certificacionesBean.setTerritorio(request.getParameter("territorio"));
		certificacionesBean.setDescripcionTerritorio(request.getParameter("desTerritorio"));
		certificacionesBean.setListaCodConvenios(request.getParameter("convenio"));
		certificacionesBean.setListaDescConvenios(request.getParameter("desConvenio"));
		certificacionesBean.setSector(request.getParameter("sector"));
		certificacionesBean.setListaCodSector(request.getParameter("sectores"));
		certificacionesBean.setDescSector(request.getParameter("descSector"));
		certificacionesBean.setFhist(request.getParameter("fhist"));
		if(StringUtils.isNotEmpty(request.getParameter("cifnif"))){
		certificacionesBean.setCifnif(request.getParameter("cifnif").toUpperCase());
		}
		certificacionesBean.setNumCentro(request.getParameter("numCentro_numerico"));
		certificacionesBean.setCodCentro(request.getParameter("codCentro"));
		certificacionesBean.setRazon(request.getParameter("razon"));
		certificacionesBean.setFhist(request.getParameter("fhist"));
		contexto.set("w83bCertificacionesBean",certificacionesBean);
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return mapping.findForward("ok");
		
	}
}
